WordPress.org

Ready to get started?Download WordPress

Forums

Google Analytics by Yoast
version 4.3.3 not visable on wordpress 3.6 (11 posts)

  1. spineless
    Member
    Posted 1 year ago #

    I updated my site to wordpress 3.6 and installed the google analytics plugin version 4.3.3 as it is the latest version.

    When I activated the plugin and went to the configuration screen I was not able to see anything but the title.

    " Google Analytics for WordPress Configuration"

    This is all I see.

    When I reload my previous version of this plugin on wordpress 3.6 I can see the configuration screen. My previous version was 4.0.10

    So.... I think there is an issue with version 4.3.3

    http://wordpress.org/plugins/google-analytics-for-wordpress/

  2. Bradley Allen
    Member
    Posted 1 year ago #

    Thanks spineless, I had this problem as well.

    I tried deactivating my other plugins, changing my theme, and even deleting and re-uploading wp-admin and wp-includes.

    Then I found this post by spineless. I deleted version 4.3.3, uploaded version 4.2.8, and now my GA for WP settings screen is visible again.

    I have several other sites running WP 3.6 and GA for WP version 4.3.3 without a problem. I'm not sure why it would be an issue for only one of my sites.

  3. spineless
    Member
    Posted 1 year ago #

    So 4.2.8 is good? I was able to upgrade from 4.0.10 to 4.2.8.

    I guess the developer should take a look at 4.3.3.

    Thanks a lot, :)

    Spineless

  4. Christiaan Conover
    Member
    Posted 1 year ago #

    Did you try deleting the GA plugin files completely and uploading a fresh copy?

  5. Bradley Allen
    Member
    Posted 1 year ago #

    Christiaan, yes, I did try that.

  6. Christiaan Conover
    Member
    Posted 1 year ago #

    Do you have access to server logs? If so, check to see if there are any errors listed when trying to access the GA settings page.

  7. Bradley Allen
    Member
    Posted 1 year ago #

    Yes, I do, but I'm not really sure what to look for. I see:

    Undefined index: customcode in /xx/xx/xx/wp-content/plugins/google-analytics-for-wordpress/frontend/class-frontend.php on line 285

    Cannot use string offset as an array in /xx/xx/xx/wp-content/plugins/google-analytics-for-wordpress/admin/class-admin.php on line 342

    Undefined index: customcode in xx/xx/xx/wp-content/plugins/google-analytics-for-wordpress/googleanalytics.php on line 1114

  8. bigvibes
    Member
    Posted 1 year ago #

    Do any of you have the 4.2.8 file? I've tried looking for it but can't find it anywhere. All I get is 4.3.3.

  9. Bradley Allen
    Member
    Posted 1 year ago #

    hey bigvibes,
    It's not obvious where to find it. On the page for the plugin, there is a "Developers" tab. There you can find "Other Versions" for previous releases. Here's the link to 4.2.8
    http://downloads.wordpress.org/plugin/google-analytics-for-wordpress.4.2.8.zip

  10. bigvibes
    Member
    Posted 1 year ago #

    Thank you so very much. I've been looking everywhere for it!

  11. Bradley Allen
    Member
    Posted 1 year ago #

    If you want to upgrade to 4.3.3, like I just did, you can download a fix provided by stoutyhk. The instructions and file are posted at:
    http://wordpress.org/support/topic/fatal-error-opening-plugin-configuration-page?replies=12#post-4117132
    According to the comments there, this fix has worked for numerous people.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic